#!/bin/sh

LocateSelf()
{
	LBS_FLAGS=$-
	set +e
	if [ -f ./$0 -o -h ./$0 ]
	then
		directory=`dirname $0`
		PATH_TO_SELF=`pwd`/$directory
	else
		temp=`which $0`
		PATH_TO_SELF=`dirname $temp`
		if [ -f "$PATH_TO_SELF/`basename $0`" -o -h "$PATH_TO_SELF/`basename $0`" ]; then
			 :
		else
			echo "I can't locate myself!  PWD=" `pwd` ", \$0=$0"
			exit 1
		fi
		unset temp
	fi
	PATH_TO_SELF="`echo \"$PATH_TO_SELF\" | sed -e 's|///|/|g' -e 's|//|/|g'`"
	set -$LBS_FLAGS
	unset LBS_FLAGS
}

LocateSelf

if tty 2>/dev/null | grep -i -v 'not a tty' >/dev/null 2>&1; then
	# This was really executed from a terminal.  Allow potential user
	# interaction if it is required.
	if [ -f "$PATH_TO_SELF/install_client.sh" ]; then
		/bin/sh "$PATH_TO_SELF/install_client.sh" -u "$@"
	else
		echo "Unable to locate install script."
		exit 1
	fi
else
	# This was not executed from a terminal.  Detach from the shell.
	/bin/sh $PATH_TO_SELF/install_client.sh -u -d "$@"
fi
